### A free/open-source library for quantitative finance

Public Member Functions
Domain Class Reference

domain abstract lcass More...

`#include <ql/math/domain.hpp>`

Inherits binary_function< Real, Real, bool >.

Inherited by BoundedDomain, NullDomain, and UniversalDomain.

List of all members.

## Public Member Functions

virtual bool | includes (Real x, Real y) const =0
bool | operator() (Real x, Real y)

## Detailed Description

domain abstract lcass